Name:       debmirror
Version:    2.38
Release:    1%{?dist}
Summary:    Debian partial mirror script, with ftp and package pool support

License:    GPL-2.0-or-later
URL:        https://tracker.debian.org/pkg/debmirror
Source0:     https://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz

BuildArch:  noarch
BuildRequires: perl
BuildRequires: perl-generators
BuildRequires: /usr/bin/pod2man
Requires:   patch
Requires:   ed
Requires:   gnupg
Requires:   rsync
Requires:   coreutils
Requires:   findutils
Requires:   gzip
Requires:   bzip2

%description
This program downloads and maintains a partial local Debian mirror.
It can mirror any combination of architectures, distributions and
sections. Files are transferred by ftp, http, hftp or rsync, and package
pools are fully supported. It also does locking and updates trace files.


%prep
%setup -q -n work

%build


%install
%{__install} -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -Dp -m 0644 examples/%{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

%{__install} -d %{buildroot}%{_mandir}/man1
pod2man %{name} %{buildroot}%{_mandir}/man1/%{name}.1


%files
%license GPL debian/copyright
%doc debian/changelog debian/NEWS doc/design.txt
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.38-1
- initial build
